[Surfraw-devel] Elvi submit

Sumant Oemrawsingh soemraws at xs4all.nl
Fri Nov 6 21:59:42 UTC 2009


On Fri, Nov 06, 2009 at 03:01:20AM +0000, Ian Beckwith wrote:
> Hi,
> 
> On Wed, Nov 04, 2009 at 01:19:37AM +0100, Sumant Oemrawsingh wrote:
> > cliki     - common lisp wiki
> > l1sp      - search lisp docs
> > mathworld - speaks for itself
> > mininova  - same here
> 
> Yes please. git diff to the list is fine.
> 
> I assume 'l1sp' is so-named to not clash with 'lisp'
> binaries. 'lispdoc' would probably be a better name, unless you know
> of clashes.

Actually, the site is named l1sp.org, and is a redirect service for several
documentation sites regarding common lisp. I just named the elvi after the
site. If you think it should be rather named lispdoc, then please change it. I
don't think any lispers would mind.

Oh, git diff attached.

Thanks,
Sumant
-------------- next part --------------
diff --git a/elvi/Makefile.am b/elvi/Makefile.am
index 1e5eaaf..e0a0fbf 100644
--- a/elvi/Makefile.am
+++ b/elvi/Makefile.am
@@ -15,6 +15,7 @@ dist_elvi_SCRIPTS	= \
 		  cddb \
 		  cia \
 		  cite \
+		  cliki \
 		  cnn \
 		  codesearch \
 		  comlaw \
@@ -54,9 +55,12 @@ dist_elvi_SCRIPTS	= \
 		  javasun \
 		  scpan \
 		  slinuxdoc \
+		  l1sp \
 		  lastfm \
 		  leodict \
 		  lsm \
+		  mathworld \
+		  mininova \
 		  musicbrainz \
 		  netbsd \
 		  ntrs \
diff --git a/elvi/Makefile.in b/elvi/Makefile.in
index c35fc41..f50bdb6 100644
--- a/elvi/Makefile.in
+++ b/elvi/Makefile.in
@@ -44,17 +44,17 @@ mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 am__dist_elvi_SCRIPTS_DIST = W alioth altavista amazon archpkg arxiv \
-	ask aur austlii bbcnews cddb cia cite cnn codesearch comlaw \
-	ctan currency cve debbugs debcontents deblists deblogs \
+	ask aur austlii bbcnews cddb cia cite cliki cnn codesearch \
+	comlaw ctan currency cve debbugs debcontents deblists deblogs \
 	debpackages debpts debsec debvcsbrowse debwiki deja discogs \
 	dmoz ebay etym excite fast foldoc filesearching freebsd freedb \
 	freshmeat fsfdir genbugs genpkg genportage gutenberg ixquick \
-	google happypenguin imdb javasun scpan slinuxdoc lastfm \
-	leodict lsm musicbrainz netbsd ntrs openbsd piratebay pgpkeys \
-	port pubmed rae rfc rhyme scholar scicom slashdot sourceforge \
-	springer stockquote sunonesearch thesaurus translate urban \
-	w3css w3html w3link w3rdf wayback webster wetandwild wikipedia \
-	woffle yahoo yubnub opensearch
+	google happypenguin imdb javasun scpan slinuxdoc l1sp lastfm \
+	leodict lsm mathworld mininova musicbrainz netbsd ntrs openbsd \
+	piratebay pgpkeys port pubmed rae rfc rhyme scholar scicom \
+	slashdot sourceforge springer stockquote sunonesearch \
+	thesaurus translate urban w3css w3html w3link w3rdf wayback \
+	webster wetandwild wikipedia woffle yahoo yubnub opensearch
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
@@ -110,7 +110,6 @@ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
 PACKAGE_STRING = @PACKAGE_STRING@
 PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_URL = @PACKAGE_URL@
 PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 SET_MAKE = @SET_MAKE@
@@ -161,17 +160,18 @@ top_srcdir = @top_srcdir@
 # $Id$
 elvidir = $(ELVIDIR)
 dist_elvi_SCRIPTS = W alioth altavista amazon archpkg arxiv ask aur \
-	austlii bbcnews cddb cia cite cnn codesearch comlaw ctan \
+	austlii bbcnews cddb cia cite cliki cnn codesearch comlaw ctan \
 	currency cve debbugs debcontents deblists deblogs debpackages \
 	debpts debsec debvcsbrowse debwiki deja discogs dmoz ebay etym \
 	excite fast foldoc filesearching freebsd freedb freshmeat \
 	fsfdir genbugs genpkg genportage gutenberg ixquick google \
-	happypenguin imdb javasun scpan slinuxdoc lastfm leodict lsm \
-	musicbrainz netbsd ntrs openbsd piratebay pgpkeys port pubmed \
-	rae rfc rhyme scholar scicom slashdot sourceforge springer \
-	stockquote sunonesearch thesaurus translate urban w3css w3html \
-	w3link w3rdf wayback webster wetandwild wikipedia woffle yahoo \
-	yubnub $(am__append_1)
+	happypenguin imdb javasun scpan slinuxdoc l1sp lastfm leodict \
+	lsm mathworld mininova musicbrainz netbsd ntrs openbsd \
+	piratebay pgpkeys port pubmed rae rfc rhyme scholar scicom \
+	slashdot sourceforge springer stockquote sunonesearch \
+	thesaurus translate urban w3css w3html w3link w3rdf wayback \
+	webster wetandwild wikipedia woffle yahoo yubnub \
+	$(am__append_1)
 all: all-am
 
 .SUFFIXES:
diff --git a/elvi/cliki b/elvi/cliki
new file mode 100755
index 0000000..5a50089
--- /dev/null
+++ b/elvi/cliki
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# AUTHOR: S.S.R. Oemrawsingh
+#
+# DATE: Mon Oct 26 2009
+#
+# DESC: Elvi to search cliki.net
+# elvis: cliki		-- Search the common lisp wiki
+. surfraw || exit 1
+
+w3_usage_hook () {
+    cat <<EOF
+Usage: $w3_argv0 [options] [search words]...
+Description:
+  Search the common lisp wiki
+EOF
+    w3_global_usage
+}
+
+w3_config
+w3_parse_args "$@"
+if test -z "$w3_args"; then
+    w3_browse_url "http://www.cliki.net/"
+else
+    escaped_args=`w3_url_of_arg $w3_args`
+    w3_browse_url "http://www.cliki.net/admin/search?words=${escaped_args}"
+fi
diff --git a/elvi/l1sp b/elvi/l1sp
new file mode 100755
index 0000000..b6419b3
--- /dev/null
+++ b/elvi/l1sp
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# AUTHOR: S.S.R. Oemrawsingh
+#
+# DATE: Sun Nov  1 2009
+#
+# DESC: Elvi to search l1sp.org
+# elvis: l1sp		-- Search lisp documentation
+. surfraw || exit 1
+
+w3_usage_hook () {
+    cat <<EOF
+Usage: $w3_argv0 [options] [search words]...
+Description:
+Search lisp documentation using l1sp.org
+EOF
+    w3_global_usage
+}
+
+w3_config
+w3_parse_args "$@"
+if test -z "$w3_args"; then
+    w3_browse_url "http://l1sp.org/"
+else
+    escaped_args=`w3_url_of_arg $w3_args`
+    w3_browse_url "http://l1sp.org/search?q=${escaped_args}"
+fi
diff --git a/elvi/mathworld b/elvi/mathworld
new file mode 100755
index 0000000..9b53c83
--- /dev/null
+++ b/elvi/mathworld
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# AUTHOR: S.S.R. Oemrawsingh
+#
+# DATE: Mon Nov  4 2009
+#
+# DESC: Elvi to search Wolfram MathWorld
+# elvis: mathworld	-- Search Wolfram MathWorld
+. surfraw || exit 1
+
+w3_usage_hook () {
+    cat <<EOF
+Usage: $w3_argv0 [options] [search words]...
+Description:
+  Search Wolfram MathWorld
+EOF
+    w3_global_usage
+}
+
+w3_config
+w3_parse_args "$@"
+if test -z "$w3_args"; then
+    w3_browse_url "http://mathworld.wolfram.com/"
+else
+    escaped_args=`w3_url_of_arg $w3_args`
+    w3_browse_url "http://mathworld.wolfram.com/search/?query=${escaped_args}&x=0&y=0"
+fi
diff --git a/elvi/mininova b/elvi/mininova
new file mode 100755
index 0000000..a3fcc53
--- /dev/null
+++ b/elvi/mininova
@@ -0,0 +1,98 @@
+#!/bin/sh
+#
+# AUTHOR: S.S.R. Oemrawsingh
+#
+# DATE: Mon Oct 26 2009
+#
+# DESC: Elvi to search the mininova bittorrent source.
+# elvis: mininova	-- Search the mininova bittorent source.
+. surfraw || exit 1
+
+
+w3_config_hook () {
+    def SURFRAW_mininova_category all
+}
+
+
+w3_usage_hook () {
+    cat <<EOF
+Usage: $w3_argv0 [options] [search terms]
+Description:
+  Surfraw the mininova bittorrent source.
+Local options:
+  -category=                    Search for torrent in the given category
+         all        |           Search all categories
+         anime      |           Search anime torrents
+         books      |           Search book torrents
+         featured   |           Search featured torrents
+         games      |           Search game torrents
+         movies     |           Search movie torrents
+         music      |           Search music torrents
+         pictures   |           Search picture torrents
+         software   |           Search software torrents
+         tv-shows   |           Search tv show torrents
+         other                  Search other torrents
+                                Default: $SURFRAW_mininova_category
+                                Environment: SURFRAW_mininova_category
+EOF
+    w3_global_usage
+}
+
+
+w3_parse_option_hook () {
+    opt="$1"
+    optarg="$2"
+    case "$opt" in
+	-category=*) setopt   SURFRAW_mininova_category $optarg	;;
+	*) return 1 ;;
+    esac
+    return 0
+}
+
+w3_config
+w3_parse_args "$@"
+if [ -z "$w3_args" ]; then
+    url="http://www.mininova.org/"
+else
+    escaped_args=`w3_url_of_arg $w3_args`
+    case $SURFRAW_mininova_category in
+	all)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=0"
+	    ;;
+	anime)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=1"
+	    ;;
+	books)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=2"
+	    ;;
+	featured)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=10"
+	    ;;
+	games)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=3"
+	    ;;
+	movies)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=4"
+	    ;;
+	music)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=5"
+	    ;;
+	pictures)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=6"
+	    ;;
+	software)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=6"
+	    ;;
+	tv-shows)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=8"
+	    ;;
+	other)
+	    url="http://www.mininova.org/search/?search="$escaped_args"&cat=9"
+	    ;;
+	*)
+	    return 1 ;;
+    esac
+fi
+
+
+w3_browse_url $url
diff --git a/test/Makefile.am b/test/Makefile.am
index e908be8..95768e9 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -1,8 +1,8 @@
 EXTRA_DIST = runtests elviwithouttests README COOKIES W.test		\
 	alioth.test altavista.test amazon.test archpkg.test arxiv.test	\
 	ask.test aur.test austlii.test bbcnews.test cddb.test cia.test	\
-	cite.test cnn.test codesearch.test comlaw.test ctan.test	\
-	currency.test cve.test debbugs.test debcontents.test		\
+	cite.test cliki.test cnn.test codesearch.test comlaw.test	\
+	ctan.test currency.test cve.test debbugs.test debcontents.test	\
 	deblists.test deblogs.test debpackages.test debpts.test		\
 	debsec.test debvcsbrowse.test debwiki.test deja.test		\
 	discogs.test dmoz.test ebay.test etym.test excite.test		\
@@ -10,11 +10,12 @@ EXTRA_DIST = runtests elviwithouttests README COOKIES W.test		\
 	freedb.test freshmeat.test fsfdir.test genbugs.test		\
 	genpkg.test genportage.test google.test gutenberg.test		\
 	happypenguin.test imdb.test ixquick.test javasun.test		\
-	lastfm.test leodict.test lsm.test musicbrainz.test netbsd.test	\
-	ntrs.test openbsd.test opensearch.test piratebay.test		\
-	port.test pgpkeys.test pubmed.test rae.test rfc.test		\
-	rhyme.test scholar.test scicom.test scpan.test slashdot.test	\
-	slinuxdoc.test sourceforge.test springer.test stockquote.test	\
+	lastfm.test leodict.test lsm.test mathworld.test mininova.test	\
+	musicbrainz.test netbsd.test ntrs.test openbsd.test		\
+	opensearch.test piratebay.test port.test pgpkeys.test		\
+	pubmed.test rae.test rfc.test rhyme.test scholar.test		\
+	scicom.test scpan.test slashdot.test slinuxdoc.test		\
+	sourceforge.test springer.test stockquote.test			\
 	sunonesearch.test thesaurus.test translate.test urban.test	\
 	w3css.test w3html.test w3link.test w3rdf.test wayback.test	\
 	webster.test wetandwild.test wikipedia.test woffle.test		\
diff --git a/test/Makefile.in b/test/Makefile.in
index 4a19a6e..a73c867 100644
--- a/test/Makefile.in
+++ b/test/Makefile.in
@@ -72,7 +72,6 @@ PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
 PACKAGE_STRING = @PACKAGE_STRING@
 PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_URL = @PACKAGE_URL@
 PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 SET_MAKE = @SET_MAKE@
@@ -122,8 +121,8 @@ top_srcdir = @top_srcdir@
 EXTRA_DIST = runtests elviwithouttests README COOKIES W.test		\
 	alioth.test altavista.test amazon.test archpkg.test arxiv.test	\
 	ask.test aur.test austlii.test bbcnews.test cddb.test cia.test	\
-	cite.test cnn.test codesearch.test comlaw.test ctan.test	\
-	currency.test cve.test debbugs.test debcontents.test		\
+	cite.test cliki.test cnn.test codesearch.test comlaw.test	\
+	ctan.test currency.test cve.test debbugs.test debcontents.test	\
 	deblists.test deblogs.test debpackages.test debpts.test		\
 	debsec.test debvcsbrowse.test debwiki.test deja.test		\
 	discogs.test dmoz.test ebay.test etym.test excite.test		\
@@ -131,11 +130,12 @@ EXTRA_DIST = runtests elviwithouttests README COOKIES W.test		\
 	freedb.test freshmeat.test fsfdir.test genbugs.test		\
 	genpkg.test genportage.test google.test gutenberg.test		\
 	happypenguin.test imdb.test ixquick.test javasun.test		\
-	lastfm.test leodict.test lsm.test musicbrainz.test netbsd.test	\
-	ntrs.test openbsd.test opensearch.test piratebay.test		\
-	port.test pgpkeys.test pubmed.test rae.test rfc.test		\
-	rhyme.test scholar.test scicom.test scpan.test slashdot.test	\
-	slinuxdoc.test sourceforge.test springer.test stockquote.test	\
+	lastfm.test leodict.test lsm.test mathworld.test		\
+	musicbrainz.test netbsd.test ntrs.test openbsd.test		\
+	opensearch.test piratebay.test port.test pgpkeys.test		\
+	pubmed.test rae.test rfc.test rhyme.test scholar.test		\
+	scicom.test scpan.test slashdot.test slinuxdoc.test		\
+	sourceforge.test springer.test stockquote.test			\
 	sunonesearch.test thesaurus.test translate.test urban.test	\
 	w3css.test w3html.test w3link.test w3rdf.test wayback.test	\
 	webster.test wetandwild.test wikipedia.test woffle.test		\
diff --git a/test/cliki.test b/test/cliki.test
new file mode 100644
index 0000000..20147df
--- /dev/null
+++ b/test/cliki.test
@@ -0,0 +1,2 @@
+sr cliki sbcl
+\d+ results found, showing results \d+
diff --git a/test/l1sp.test b/test/l1sp.test
new file mode 100644
index 0000000..38f263e
--- /dev/null
+++ b/test/l1sp.test
@@ -0,0 +1,2 @@
+sr l1sp defun
+Results for 
diff --git a/test/mathworld.test b/test/mathworld.test
new file mode 100644
index 0000000..679d816
--- /dev/null
+++ b/test/mathworld.test
@@ -0,0 +1,2 @@
+sr mathworld matrix
+Search Results
diff --git a/test/mininova.test b/test/mininova.test
new file mode 100644
index 0000000..92fbdf0
--- /dev/null
+++ b/test/mininova.test
@@ -0,0 +1,2 @@
+sr mininova simpsons
+Search results for simpsons


More information about the Surfraw-devel mailing list